### GET /api/v1/analytics/antifraud-details Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns report with self-purchase deductions. The report is generated on Wednesdays at 7:00 UTC+4 and contains weekly data. Also you can get all data starting from August 2023.

Self-purchase deduction is 30% of product price. Minimum deduction is 100,000 ₽, if the total product cost delivered to the pick-up point is more than 100,000 ₽ per one week.
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 100 minutes | 10 requests | 10 minutes | 10 requests |
```markdown ### Parameters - **date** (string, query, optional): Date from report period, `YYYY-MM-DD`, for example `2023-12-01`. To get all data from August 2023 do not use this parameter ### Responses #### 200 - response - **details** (array (object)) Array items: - **nmID** (integer): Wildberries article (example: 123456789) - **sum** (integer): Order sum (example: 3540) - **currency** (string): Currency (example: "RUB") - **dateFrom** (string): Report start date (example: "2023-08-23") - **dateTo** (string): Report end date (example: "2023-08-29") #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/antifraud-details?date=string" ``` ``` -------------------------------- ### GET /api/v1/analytics/goods-labeling Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns a report on deductions for the absence of mandatory product labeling.
The report contains photos of products where the labeling is absent or cannot be read.
Data can be obtained for up to 31 days, starting from March 2024
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 10 minutes | 10 requests | 1 minute | 10 requests |
```markdown ### Parameters - **dateFrom** (string (date), query, required): Report period start, `YYYY-MM-DD` (example: "2024-04-01") - **dateTo** (string (date), query, required): Report period end, `YYYY-MM-DD` (example: "2024-04-30") ### Responses #### 200 - response - **report** (array (object)) Array items: - **amount** (number): Fine amount, rubles - **date** (string (date-time)): Date - **incomeId** (integer): Income ID - **nmID** (integer): WB article - **photoUrls** (array (string)): Product photo URL - **shkID** (integer): Wildberries product barcode - **sku** (string): Product card barcode #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/goods-labeling?dateFrom=2024-04-01&dateTo=2024-04-30" ``` ``` -------------------------------- ### GET /api/v1/acceptance_report/tasks/{task_id}/download Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the report by task ID
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 1 request | 1 minute | 1 request |
```markdown ### Parameters - **task_id** (string, path, required): Generation task ID (example: "06e06887-9d9f-491f-b16a-bb1766fcb8d2") ### Responses #### 200 - Success - Array of object - **count** (integer): Number of products (example: 40) - **giCreateDate** (string (date)): Shipment creation date (example: "2025-03-04") - **incomeId** (integer): Shipment number (example: 11834106) - **nmID** (integer): Wildberries article (example: 123456789) - **shkCreateDate** (string (date)): Receiving date (example: "2025-03-14") - **subjectName** (string): Subject (example: "Добавки пищевые") - **total** (number): Receiving cost, ₽ with kopecks (example: 873.04) #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 404 - Not found **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/acceptance_report/tasks/{task_id}/download" ``` ``` -------------------------------- ### GET /api/v1/analytics/banned-products/shadowed Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the list of products [hidden from the catalog](https://seller.wildberries.ru/analytics-reports/banned-products/shadowed)
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 10 seconds | 1 request | 10 seconds | 6 requests |
```markdown ### Parameters - **sort** (string (brand|nmId|title|vendorCode|nmRating), query, required) (example: "title") - **order** (string (desc|asc), query, required) (example: "desc") ### Responses #### 200 - Success - **report** (array (object)): Report Array items: - **brand** (string): Brand (example: "Трикотаж") - **nmId** (integer): WB article (example: 166658151) - **title** (string): Product title (example: "ВАЗ") - **vendorCode** (string): Seller's article (example: "DP02/черный") - **nmRating** (number): Card rating (example: 3.1) #### 400 - Bad request - **title** (string): Error title - **status** (number): HTTP status code - **detail** (string): Error details - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/banned-products/shadowed?sort=title&order=desc" ``` ``` -------------------------------- ### GET /api/v1/paid_storage/tasks/{task_id}/download Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the report by task ID
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 1 request | 1 minute | 1 request |
```markdown ### Parameters - **task_id** (string, path, required): Task ID (example: "06e06887-9d9f-491f-b16a-bb1766fcb8d2") ### Responses #### 200 - Success **ResponsePaidStorage** - Array of object - **date** (string): Calculation or recalculation date - **logWarehouseCoef** (number): Logistics and storage coefficient - **officeId** (integer): Warehouse ID - **warehouse** (string): Warehouse name - **warehouseCoef** (number): Warehouse coefficient - **giId** (integer): Shipment ID - **chrtId** (integer): Size ID - **size** (string): Size (`techSize` in product card) - **barcode** (string): Barcode - **subject** (string): Subject (subcategory) - **brand** (string): Brand - **vendorCode** (string): Seller's article - **nmId** (integer): Wildberries article - **volume** (number): Product volume - **calcType** (string): Calculation type - **warehousePrice** (number): Storage price - **barcodesCount** (integer): Chargeable product units in the warehouse, in the last 24 hours - **palletPlaceCode** (integer): Pallet place code - **palletCount** (number): Number of pallets - **originalDate** (string): Calculation date, in case of recalculation. If there was not a recalculation, the same as `date` - **loyaltyDiscount** (number): Loyalty program discount, ₽ - **tariffFixDate** (string): Tariff fixing date - **tariffLowerDate** (string): Tariff reduction date #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 404 - Not found **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/paid_storage/tasks/{task_id}/download" ``` ``` -------------------------------- ### GET /api/v1/analytics/banned-products/blocked Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the list of [blocked product cards](https://seller.wildberries.ru/analytics-reports/banned-products)
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 10 seconds | 1 request | 10 seconds | 6 requests |
```markdown ### Parameters - **sort** (string (brand|nmId|title|vendorCode|reason), query, required) (example: "nmId") - **order** (string (desc|asc), query, required) (example: "asc") ### Responses #### 200 - Success - **report** (array (object)): Report Array items: - **brand** (string): Brand (example: "Тест22") - **nmId** (integer): WB article (example: 82722944) - **title** (string): Product title (example: "Гуминовые кислоты - биоактивный противовирусный комплекс на") - **vendorCode** (string): Seller's article (example: "пкdeир76") - **reason** (string): Reason for blocking (example: "Контактные данные Продавца и ссылки на иные сайты/группы/сообщества на фотографиях Товара") #### 400 - Bad request - **title** (string): Error title - **status** (number): HTTP status code - **detail** (string): Error details - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/banned-products/blocked?sort=nmId&order=asc" ``` ``` -------------------------------- ### GET /api/v1/warehouse_remains/tasks/{task_id}/download Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the report by task ID
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 1 request | 1 minute | 1 request |
```markdown ### Parameters - **task_id** (string, path, required): Generation task ID (example: "06e06887-9d9f-491f-b16a-bb1766fcb8d2") ### Responses #### 200 - Success - Array of object - **brand** (string): Brand (example: "Wonderful") - **subjectName** (string): Subject name (example: "Фотоальбомы") - **vendorCode** (string): Seller's article (example: "41058/прозрачный") - **nmId** (integer): WB article (example: 183804172) - **barcode** (string): Barcode (example: "2037031652319") - **techSize** (string): Size (example: "0") - **volume** (number): Volume, L (example: 1.33) - **warehouses** (array (object)): Inventory and to and from the client. It will be included in the response only if `quantity` is non-zero Array items: - **warehouseName** (string): Warehouse name (example: "Невинномысск") - **quantity** (integer): Quantity (example: 134) #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 404 - Not found **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/warehouse_remains/tasks/{task_id}/download" ``` ``` -------------------------------- ### GET /api/v1/paid_storage/tasks/{task_id}/status Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the status of task
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 5 seconds | 1 request | 5 seconds | 5 requests |
```markdown ### Parameters - **task_id** (string, path, required): Task ID (example: "06e06887-9d9f-491f-b16a-bb1766fcb8d2") ### Responses #### 200 - Success **GetTasksResponse** - **data** (object) - **id** (string): Task ID - **status** (string): Task status: * `new` * `processing` * `done` — report is generated * `purged` — report is deleted * `canceled` — declined #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 404 - Not found **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/paid_storage/tasks/{task_id}/status" ``` ``` -------------------------------- ### GET /api/v1/acceptance_report/tasks/{task_id}/status Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the status of the generation task
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 5 seconds | 1 request | 5 seconds | 1 request |
```markdown ### Parameters - **task_id** (string, path, required): Generation task ID (example: "06e06887-9d9f-491f-b16a-bb1766fcb8d2") ### Responses #### 200 - Success **GetTasksResponse** - **data** (object) - **id** (string): Task ID - **status** (string): Task status: * `new` * `processing` * `done` — report is generated * `purged` — report is deleted * `canceled` — declined #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 404 - Not found **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/acceptance_report/tasks/{task_id}/status" ``` ``` -------------------------------- ### GET /api/v1/analytics/brand-share Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns a report on the brand's share in sales. Data can be obtained starting from 1 November 2022, for up to 365 days.
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 5 seconds | 1 request | 5 seconds | 20 requests |
```markdown ### Parameters - **parentId** (integer, query, required): Parent category ID (example: 1) - **brand** (string, query, required): Brand (example: "H%26M") - **dateFrom** (string, query, required): Report period start, `YYYY-MM-DD` - **dateTo** (string, query, required): Report period end, `YYYY-MM-DD` ### Responses #### 200 - response - **report** (array (object)): Report Array items: - **applyDate** (string (ГГГГ-ММ-ДД)): Date - **brandRating** (integer): Brand rating in parent category - **pricePercent** (number (float)): Share of sales in the parent category — price, % - **qtyPercent** (number (float)): Share of sales in the parent category — quantity, % #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/brand-share?parentId=1&brand=H%26M&dateFrom=string&dateTo=string" ``` ``` -------------------------------- ### GET /api/v1/analytics/characteristics-change Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns a report on deductions for changing product characteristics. If any products do not match the declared colors and sizes after acceptance and are relabeled at the warehouse, a fine is imposed on these products.
Data can be obtained for up to 31 days, starting from 28 December 2021.
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 10 minutes | 10 requests | 1 minute | 10 requests |
```markdown ### Parameters - **dateFrom** (string (date), query, required): Report period start, `YYYY-MM-DD` - **dateTo** (string (date), query, required): Report period end, `YYYY-MM-DD` ### Responses #### 200 - response - **report** (array (object)) Array items: - **amount** (integer): Fine amount in kopecks - **date** (string (date-time)): Date of characteristic change at the warehouse - **newBarcode** (string): New barcode in the product card - **newColor** (string): New color - **newSa** (string): New seller's article - **newShkID** (integer): New product barcode in Wildberries - **newSize** (string): New size - **nmID** (integer): WB article - **oldBarcode** (string): Old barcode from the product card - **oldColor** (string): Old color - **oldSa** (string): Old seller's article - **oldShkID** (integer): Old product barcode in Wildberries - **oldSize** (string): Old size #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/characteristics-change?dateFrom=2023-01-01&dateTo=2023-01-01" ``` ``` -------------------------------- ### GET /api/v1/analytics/warehouse-measurements Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml The method returns reports with [logistics and storage costs multiplier](https://seller.wildberries.ru/analytics-reports/dimensions-penalties), and [warehouse measurements](https://seller.wildberries.ru/analytics-reports/dimensions-penalties/warehouse-measurements)
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 5 requests | 12 seconds | 1 request |
```markdown ### Parameters - **dateFrom** (string (date-time), query, optional): Report period start. By default the date when data for the report was first received is used - **dateTo** (string (date-time), query, required): Report period end - **tab** (string (penalty|measurement), query, required) (example: "measurement") - **limit** (integer, query, required) (example: 330) - **offset** (integer, query, optional) (example: 220) ### Responses #### 200 - Success - **data** (object) (required): Response data - **reports** (array (object)) (required): Retentions Array items: - **nmId** (integer): Wildberries article (example: 123456789) - **dimId** (integer): Measurement ID (example: 123456789) - **subject** (string): Subject (example: "Костюмы спортивные") - **prcOver** (number): Difference in dimensions, % (example: 130.71) - **volume** (number): Volume, l (as measured at warehouse) (example: 6.47) - **width** (integer): Width, cm (as measured at warehouse) (example: 7) - **length** (integer): Length, cm (as measured at warehouse) (example: 28) - **height** (integer): Height, cm (as measured at warehouse) (example: 33) - **volumeSup** (number): Volume, L (as specified in listing) (example: 4.95) - **widthSup** (integer): Width, cm (as specified in listing) (example: 8) - **lengthSup** (integer): Length, cm (as specified in listing) (example: 33) - **heightSup** (integer): Height, cm (as specified in listing) (example: 33) - **photoUrls** (array (string)): Photos of the measurements (example: ["https://static-basket-09.wbbasket.ru/vol184/obmer-tovarov/measurement_on_table/wbs35154094220_em907759_n1_b2eaa5ed-bf21-4c58-b419-b5b5ec6f29ee.webp","https://static-basket-09.wbbasket.ru/vol184/obmer-tovarov/measurement_on_table/wbs35159094420_em907759_n2_040407b0-7752-4ae7-a4a4-7ec016e86511.webp","https://static-basket-09.wbbasket.ru/vol184/obmer-tovarov/measurement_on_table/wbs35189094220_em904757_n3_9f502e24-3b3e-4efd-9hac-802813046ac3.webp"]) - **dtBonus** (string (date-time)): Fine date (example: "2025-06-02T00:00:00Z") - **isValid** (boolean): Status of measurement - `false` — canceled - `true` — valid (example: true) - **isValidDt** (string (date-time)): Date and time of validation or cancellation of the measurement (example: "2025-05-29T13:35:57Z") - **reversalAmount** (number): Reversal amount (example: 0) - **penaltyAmount** (number): Fine amount (example: 449.83) - **totalCount** (integer) (required): Number of retentions in the report. Except `limit` and `offset` (example: 11) #### 400 - Bad request **Response400WHM** - **title** (string): Error title (example: "bad request") - **status** (integer): HTTP status code (example: 400) - **detail** (string): Error details (example: "invalid parameter: dateTo") - **requestId** (string): Unique request ID (example: "31db50b5-14c0-4f4e-965e-6e1f9607ee78") - **origin** (string): WB internal service ID (example: "dimension-penalty") #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 403 - Access denied **Response403WHM** - **title** (string): Error title (example: "access denied") - **status** (integer): HTTP status code (example: 403) - **detail** (string): Error details (example: "abac: access denied") - **requestId** (string): Unique request ID (example: "31db50b5-14c0-4f4e-965e-6e1f9607ee78") - **origin** (string): WB internal service ID (example: "dimension-penalty") #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/warehouse-measurements?dateFrom=2023-01-01T00:00:00Z&dateTo=2023-01-01T00:00:00Z&tab=measurement&limit=330&offset=220" ``` ``` -------------------------------- ### GET /api/v1/analytics/brand-share/brands Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns the list of the seller brands. You can only get brands that: - were sold in the last 90 days - are in WB
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 1 request | 1 minute | 10 requests |
```markdown ### Responses #### 200 - response - **data** (array (string)): Brands list (example: ["1000 | Каталог","1000 Каталог","AndBerries","H&M","Mirtex","PlayToday","Test1","WOW","[\"Colambetta\"]","dubs","test","Бест Трикотаж","Тест"]) #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/brand-share/brands" ``` ``` -------------------------------- ### GET /api/v1/analytics/incorrect-attachments Source: https://dev.wildberries.ru/yaml/en/12-reports.yaml Returns deductions for wrong products, empty boxes and boxes without ordered products but with some other things. Deduction is 100% of order sum. Maximum of report period is 31 days, data is available starting from June 2023.
Request limit per one seller's account: | Period | Limit | Interval | Burst | | --- | --- | --- | --- | | 1 minute | 1 request | 1 minute | 10 requests |
```markdown ### Parameters - **dateFrom** (string, query, required): Report period start, `YYYY-MM-DD` - **dateTo** (string, query, required): Report period end, `YYYY-MM-DD` ### Responses #### 200 - response - **report** (array (object)) Array items: - **amount** (number): Price, ₽ (example: 24514.5) - **date** (string): Date (example: "2023-12-15") - **lostReason** (string): Deduction reason (example: "Подмена. Вместо большой железной дороги поступила маленькая коробка.") - **nmID** (integer): Wildberries article (example: 123456789) - **photoUrl** (string): Photo (example: "https://mstatic.wbstatic.net/writeoff_to_the_seller/12345678911-2023-06-21T12:13:37.768Z-1.png") - **shkID** (integer): Barcode (example: 14555724540) #### 400 - Bad request **4xxResponse** - **detail** (string): Error details - **origin** (string): WB internal service ID - **requestId** (string): Unique request ID - **title** (string): Error title #### 401 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time #### 429 - response - **title** (string): Error title - **detail** (string): Error details - **code** (string): Internal error code - **requestId** (string): Unique request ID - **origin** (string): WB internal service ID - **status** (number): HTTP status code - **statusText** (string): Text of the HTTP status code - **timestamp** (string (date-time)): Request date and time ### Example Usage ```bash curl -X GET "https://api.example.com/api/v1/analytics/incorrect-attachments?dateFrom=string&dateTo=string" ``` ```